| highlighting-kate-0.2.5.1: Syntax highlighting | Source code | Contents | Index

Text.Highlighting.Kate.Syntax.Coldfusion

Synopsis

highlight :: String -> Either String [SourceLine]
parseExpression :: GenParser Char SyntaxState LabeledSource
syntaxName :: String
syntaxExtensions :: String

Documentation

highlight :: String -> Either String [SourceLine] | Source

Highlight source code using this syntax definition.

parseExpression :: GenParser Char SyntaxState LabeledSource | Source

Parse an expression using appropriate local context.

syntaxName :: String | Source

Full name of language.

syntaxExtensions :: String | Source

Filename extensions for this language.
Produced by Haddock version 2.4.2